function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import { StyleSheet } from 'react-native';
import Link from 'react-native-web-ui-components/Link';
const styles = StyleSheet.create({
  handle: {
    paddingLeft: 10,
    paddingTop: 11
  }
});

const Handle = ({
  theme,
  ...props
}) => React.createElement(Link, _extends({}, props, {
  auto: true,
  style: styles.handle,
  type: theme.colors.primary
}));

Handle.propTypes = {
  theme: PropTypes.shape().isRequired
};
export default Handle;